%define name    	udftools
%define version		1.0.0
%define beta		b3
%define cvsrelease	20030825
%define mdkrelease	1mdk
%define realrelease	0.%{beta}.%{cvsrelease}.%{mdkrelease}


%define major 1
%define buildfor_mdk90  %(awk '{print ($4 == "9.0")}' %{_sysconfdir}/mandrake-release)
%if %buildfor_mdk90
%define libname libudftools%major
%else
%define libname %mklibname udftools %{major}
%endif

Name:		%{name}
Version:	%{version}
Release:	%{realrelease}
License:	GPL
Group:		System/Kernel and hardware
Provides:	udf
Obsoletes:	udf
Autoreqprov:	on
Summary:	UDF filesystem tools.
Source:		udftools-%{cvsrelease}.tar.bz2
Patch1:		udftools-%{cvsrelease}.patch.bz2
Patch2:		udftools-disable_broken.patch.bz2
URL:		http://sourceforge.net/projects/linux-udf/
BuildRoot:	%{_tmppath}/%{name}-%{cvsrelease}-build
Requires:	%{libname} = %version-%release
BuildRequires:	autoconf2.5 automake1.7

%description -n udftools
These are tools for UDF file systems as used, e.g.,
on DVD-RAM, DVD+RW, CD-RW. They are also used for
managing Packet-CD/DVD devices and media.


%package -n %{libname}
Summary:	Libraries from %name.
Group:		System/Libraries

%description -n %{libname}
This package contains the libraries meeded by %name.


%package -n %{libname}-devel
Summary:	Devel files from %name.
Group:		Development/C
Requires:	%{libname} = %version-%release
Provides:	libudftools-devel = %version-%release

%description -n %{libname}-devel
This is the libraries, include files and other resources you can use
to incorporate %name into applications.

%package -n %libname-static-devel
Summary:	Static Library for developing applications with %name.
Group:		Development/C
Requires:	%libname-devel = %version-%release

%description -n %libname-static-devel
This contains the static library of %name needed for building apps that
link statically to %name.

%prep
%setup -q -n %{name}-%{cvsrelease}
%patch1
%patch2 -p1

%build
WANT_AUTOCONF_2_5=1 ACLOCAL=aclocal-1.7 AUTOMAKE=automake-1.7 \
    autoreconf-2.5x --force --install
%configure2_5x --enable-shared
%make

%install
rm -Rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -Rf $RPM_BUILD_ROOT

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig


%files
%defattr (- ,root,root)
%doc ChangeLog AUTHORS
%{_bindir}/*
%{_mandir}/man1/*.1.bz2
%{_mandir}/man8/*.8.bz2

%files -n %{libname}
%defattr (- ,root,root)
%_libdir/*.so.*

%files -n %{libname}-devel
%defattr(-, root, root)
%_libdir/*.so
%_libdir/*.la

%files -n %libname-static-devel
%defattr(-,root,root)
%{_libdir}/lib*.a

%changelog -n udftools
* Fri Aug 29 2003 Marcel Pol <mpol@gmx.net> 1.0.0-0.b3.20030825.1mdk
- beta is part of release tag, not version
- make sure to use autoconf-2.5 and automake-1.7
- other small changes in specfile

* Tue Aug 26 2003 Svetoslav Slavtchev <galia@st-peter.stw.uni-erlangen.de> 1.0.0b3-0.20030825.1mdk
- initial release
